# Function UseRemoteMethod

- UseRemoteMethod(remoteMethod, name): ((target, propertyKey) => void)

- #### Parameters

  - remoteMethod: Constructor<BaseRemoteMethod<any, any, BaseRemoteMethodMetadata>>
  - name: string

  #### Returns ((target, propertyKey) => void)

  - - (target, propertyKey): void

    - #### Parameters

      - target: any
      - propertyKey: string

      #### Returns void

  - Defined in packages/angular/form-system/src/lib/directives/options-from-remote-method.directive.ts:45